[arch-commits] Commit in grub2-efi-x86_64/repos/extra-any (5 files)

Ronald van Haren ronald at archlinux.org
Mon Apr 2 13:34:54 EDT 2012


    Date: Monday, April 2, 2012 @ 13:34:53
  Author: ronald
Revision: 155379

archrelease: copy trunk to extra-any

Added:
  grub2-efi-x86_64/repos/extra-any/PKGBUILD
    (from rev 155378, grub2-efi-x86_64/trunk/PKGBUILD)
  grub2-efi-x86_64/repos/extra-any/grub_extras_lua_args_fix.patch
    (from rev 155378, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
  grub2-efi-x86_64/repos/extra-any/ldflags.patch
    (from rev 155378, grub2-efi-x86_64/trunk/ldflags.patch)
Deleted:
  grub2-efi-x86_64/repos/extra-any/PKGBUILD
  grub2-efi-x86_64/repos/extra-any/grub_extras_lua_args_fix.patch

--------------------------------+
 PKGBUILD                       |  210 ++++++++++++++++++++-------------------
 grub_extras_lua_args_fix.patch |   26 ++--
 ldflags.patch                  |   15 ++
 3 files changed, 136 insertions(+), 115 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-04-02 17:34:34 UTC (rev 155378)
+++ PKGBUILD	2012-04-02 17:34:53 UTC (rev 155379)
@@ -1,102 +0,0 @@
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
-
-_grub_bzr_rev="4169"
-_pkgver="2.00~beta2"
-
-_grub_lua_ver=24
-_grub_gpxe_ver=12
-
-pkgname=grub2-efi-x86_64
-pkgver=2.00beta2
-pkgrel=2
-epoch=1
-pkgdesc="The GNU GRand Unified Bootloader version 2 - x86_64 UEFI version"
-url="http://www.gnu.org/software/grub/"
-arch=('any')
-license=('GPL3')
-
-makedepends=('xz' 'python' 'autogen' 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
-depends=("grub2-common=${epoch}:${pkgver}" 'dosfstools' 'efibootmgr')
-
-options=('!strip' '!emptydirs')
-
-# source=("ftp://ftp.archlinux.org/other/grub2/grub_r${_grub_bzr_rev}.tar.xz"
-source=("http://alpha.gnu.org/gnu/grub/grub-${_pkgver}".tar.xz
-        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
-        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
-
-noextract=("grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
-           "grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
-
-sha1sums=('2ba583f9466fb676b0ae3d7a9a82d1299b153a98'
-          '89290031b974780c6df76893836d2477d4add895'
-          'b04994c005910b4bf123f034b30109d5c8d6fd86')
-
-build() {
-
-	if [[ "${CARCH}" == 'i686' ]]; then
-		echo "This package can be built only in a x86_64 system. Exiting."
-		exit 1
-	fi
-
-	cd "${srcdir}/grub-${_pkgver}"
-
-	## add grub-extras
-	export GRUB_CONTRIB="${srcdir}/grub-${_pkgver}/grub-extras/" 
-	install -d "${srcdir}/grub-${_pkgver}/grub-extras"
-
-	bsdtar xf "${srcdir}/grub2_extras_lua_r${_grub_lua_ver}.tar.xz" \
-		-C "${srcdir}/grub-${_pkgver}/grub-extras"
-
-	bsdtar xf "${srcdir}/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz" \
-		-C "${srcdir}/grub-${_pkgver}/grub-extras"
-
-	## Requires python2
-	# sed 's|python |python2 |g' -i "${srcdir}/grub-${_pkgver}/autogen.sh"
-
-	## start the actual build process
-	cd "${srcdir}/grub-${_pkgver}/"
-	./autogen.sh
-
-	CFLAGS="" ./configure \
-		--with-platform="efi" \
-		--target="x86_64" \
-		--host="${CARCH}-unknown-linux-gnu" \
-		--disable-efiemu \
-		--enable-mm-debug \
-		--enable-nls \
-		--enable-device-mapper \
-		--enable-cache-stats \
-		--enable-grub-mkfont \
-		--enable-grub-mount \
-		--prefix="/usr" \
-		--bindir="/usr/bin" \
-		--sbindir="/usr/sbin" \
-		--mandir="/usr/share/man" \
-		--infodir="/usr/share/info" \
-		--datarootdir="/usr/share" \
-		--sysconfdir="/etc" \
-		--program-prefix="" \
-		--with-bootdir="/boot" \
-		--with-grubdir="grub" \
-		--disable-werror
-
-	CFLAGS="" make
-
-}
-
-package() {
-
-	cd "${srcdir}/grub-${_pkgver}"
-	make DESTDIR="${pkgdir}/" install 
-
-	## remove non platform-specific files
-	rm -rf "${pkgdir}"/{boot,etc,usr/{share,bin,sbin}}
-
-	## remove gdb debugging related files
-	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.module || true
-	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.image || true
-	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/{kernel.exec,gdb_grub,gmodule.pl} || true
-
-}

Copied: grub2-efi-x86_64/repos/extra-any/PKGBUILD (from rev 155378, grub2-efi-x86_64/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-04-02 17:34:53 UTC (rev 155379)
@@ -0,0 +1,108 @@
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+_grub_bzr_rev="4169"
+_pkgver="2.00~beta3"
+
+_grub_lua_ver=24
+_grub_gpxe_ver=12
+
+pkgname=grub2-efi-x86_64
+pkgver=2.00beta3
+pkgrel=1
+epoch=1
+pkgdesc="The GNU GRand Unified Bootloader version 2 - x86_64 UEFI version"
+url="http://www.gnu.org/software/grub/"
+arch=('any')
+license=('GPL3')
+
+makedepends=('xz' 'python' 'autogen' 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
+depends=("grub2-common=${epoch}:${pkgver}" 'dosfstools' 'efibootmgr')
+
+options=('!strip' '!emptydirs')
+
+# source=("ftp://ftp.archlinux.org/other/grub2/grub_r${_grub_bzr_rev}.tar.xz"
+source=("http://alpha.gnu.org/gnu/grub/grub-${_pkgver}".tar.xz
+        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
+        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz"
+	"ldflags.patch")
+
+noextract=("grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
+           "grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
+
+sha1sums=('96bfdf4d53767faaf2c744ee82d4d703e4b672a2'
+          '89290031b974780c6df76893836d2477d4add895'
+          'b04994c005910b4bf123f034b30109d5c8d6fd86'
+          'ef68a1b0f50174633fb738b8fb8c2e66844ece2d')
+	
+build() {
+
+	if [[ "${CARCH}" == 'i686' ]]; then
+		echo "This package can be built only in a x86_64 system. Exiting."
+		exit 1
+	fi
+
+	cd "${srcdir}/grub-${_pkgver}"
+
+	# fix LDFLAGS
+	patch -Np1 -i ${srcdir}/ldflags.patch
+
+	## add grub-extras
+	export GRUB_CONTRIB="${srcdir}/grub-${_pkgver}/grub-extras/" 
+	install -d "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_lua_r${_grub_lua_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	## Requires python2
+	# sed 's|python |python2 |g' -i "${srcdir}/grub-${_pkgver}/autogen.sh"
+
+	## start the actual build process
+	cd "${srcdir}/grub-${_pkgver}/"
+	./autogen.sh
+
+	CFLAGS="" ./configure \
+		--with-platform="efi" \
+		--target="x86_64" \
+		--host="${CARCH}-unknown-linux-gnu" \
+		--disable-efiemu \
+		--enable-mm-debug \
+		--enable-nls \
+		--enable-device-mapper \
+		--enable-cache-stats \
+		--enable-grub-mkfont \
+		--enable-grub-mount \
+		--prefix="/usr" \
+		--bindir="/usr/bin" \
+		--sbindir="/usr/sbin" \
+		--mandir="/usr/share/man" \
+		--infodir="/usr/share/info" \
+		--datarootdir="/usr/share" \
+		--sysconfdir="/etc" \
+		--program-prefix="" \
+		--with-bootdir="/boot" \
+		--with-grubdir="grub" \
+		--disable-werror
+
+
+	CFLAGS="" make
+
+}
+
+package() {
+
+	cd "${srcdir}/grub-${_pkgver}"
+	make DESTDIR="${pkgdir}/" install 
+
+	## remove non platform-specific files
+	rm -rf "${pkgdir}"/{boot,etc,usr/{share,bin,sbin}}
+
+	## remove gdb debugging related files
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.module || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.image || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/{kernel.exec,gdb_grub,gmodule.pl} || true
+
+}

Deleted: grub_extras_lua_args_fix.patch
===================================================================
--- grub_extras_lua_args_fix.patch	2012-04-02 17:34:34 UTC (rev 155378)
+++ grub_extras_lua_args_fix.patch	2012-04-02 17:34:53 UTC (rev 155379)
@@ -1,13 +0,0 @@
-diff --git a/grub-extras/lua/grub_lib.c b/grub-extras/lua/grub_lib.c
-index 9014320..055d620 100644
---- a/grub-extras/lua/grub_lib.c
-+++ b/grub-extras/lua/grub_lib.c
-@@ -466,7 +466,7 @@ grub_lua_add_menu (lua_State *state)
-       if (! p)
- 	return push_result (state);
- 
--      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, p, 0);
-+      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, NULL, p, 0);
-     }
-   else
-     {

Copied: grub2-efi-x86_64/repos/extra-any/grub_extras_lua_args_fix.patch (from rev 155378, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
===================================================================
--- grub_extras_lua_args_fix.patch	                        (rev 0)
+++ grub_extras_lua_args_fix.patch	2012-04-02 17:34:53 UTC (rev 155379)
@@ -0,0 +1,13 @@
+diff --git a/grub-extras/lua/grub_lib.c b/grub-extras/lua/grub_lib.c
+index 9014320..055d620 100644
+--- a/grub-extras/lua/grub_lib.c
++++ b/grub-extras/lua/grub_lib.c
+@@ -466,7 +466,7 @@ grub_lua_add_menu (lua_State *state)
+       if (! p)
+ 	return push_result (state);
+ 
+-      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, p, 0);
++      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, NULL, p, 0);
+     }
+   else
+     {

Copied: grub2-efi-x86_64/repos/extra-any/ldflags.patch (from rev 155378, grub2-efi-x86_64/trunk/ldflags.patch)
===================================================================
--- ldflags.patch	                        (rev 0)
+++ ldflags.patch	2012-04-02 17:34:53 UTC (rev 155379)
@@ -0,0 +1,15 @@
+--- grub-1.99.orig/conf/Makefile.common
++++ grub-1.99/conf/Makefile.common
+@@ -11,10 +11,10 @@ if COND_i386_pc
+   CFLAGS_PLATFORM += -mrtd -mregparm=3
+ endif
+ if COND_i386_efi
+-  LDFLAGS_PLATFORM = -melf_i386
++  LDFLAGS_PLATFORM = -Wl,-melf_i386
+ endif
+ if COND_x86_64_efi
+-  LDFLAGS_PLATFORM = -melf_x86_64
++  LDFLAGS_PLATFORM = -Wl,-melf_x86_64
+ endif
+ if COND_i386_qemu
+   CFLAGS_PLATFORM += -mrtd -mregparm=3



More information about the arch-commits mailing list